<?php

namespace Drupal\pdf_slideshow\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\pdf_slideshow\Manager\PdfSlideshowRenderManager;
use Symfony\Component\HttpFoundation\Response;

/**
 * Class AjaxImageGenerateController.
 */
class AjaxImageGenerateController extends ControllerBase {

  protected $pdfSlideshowRenderManager;

  /**
   * AjaxImageGenerateController constructor.
   *
   * @param $pdfSlideshowRenderManager
   */
  public function __construct(
    PdfSlideshowRenderManager $pdfSlideshowRenderManager
  ) {
    $this->pdfSlideshowRenderManager = $pdfSlideshowRenderManager;
  }

  public function ajaxRender($pdfFileIds, $width, $height, $limit) {
    $html = $this->pdfSlideshowRenderManager->renderHtmlSlideshow(explode('_',
      $pdfFileIds), $width, $height, $limit);
    return new Response($html);
  }

}
